#include "asm86.h"
#include "ti86asm.inc"

altflags                equ     $23             ;iy offset

eshflags                equ     $24             ;iy offset

sqrtEXPR                        equ             $5988
sqrtPARSE                       equ             $59b3
sqrtEXEC                        equ             $59f4
sqrtFORM                        equ             $5a13
sqrtCMDTOK                      equ             $5a37
sqrtHOME                        equ             $5a69
sqrtKEY                 equ             $5a92
sqrtGRF                 equ             $5ab6

_altlfontptr            equ     $d2ed
_checkStart               equ         0D748h

.org _asm_exec_ram

 ld bc,_checkStart-_altlfontptr
 ld hl,_altlfontptr
 ld de,_altlfontptr+1
 ld (hl),0
 ldir

 ld bc,$FFFF-EndOfProg+1
 ld hl,EndOfProg
 ld de,EndOfProg-1
 ld (hl),0
 ldir

 ld (iy+eshflags),0
 ld (iy+altflags),0

 ld hl,sqrtEXPR
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtHOME
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtKEY
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtPARSE
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtEXEC
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtFORM
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtGRF
 rst 20h
 rst 10h
 call nc,_delvar
 ld hl,sqrtCMDTOK
 rst 20h
 rst 10h
 call nc,_delvar
 
 ret

EndOfProg:

.end
